# Administration Reference

## bos startup

Purpose

Starts a process without changing its status flag in the /usr/afs/local/BosConfig file

Synopsis

    bos startup -server <machine name>  [-instance <instances>+]
                [-cell <cell name>]  [-noauth]  [-localauth]  [-help]

    bos startu -s <machine name>  [-i <instances>+]
               [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos startup command starts, on the server machine named by the -server argument, either

- All AFS server processes not currently running but marked with the `Run` status flag in the /usr/afs/local/BosConfig file

- Each process specified by -instance argument, even if its status flag in the BosConfig file is `NotRun`.

To start a process and set its BosConfig status flag to `Run`, use the bos start command instead.

Options

-server
  Indicates the server machine on which to start processes. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

-instance
  Names each process to start. Use the process name assigned with the -instance argument to the bos create command. The output from the bos status command lists the names.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command starts all processes marked with status flag `Run` in the BosConfig file on the machine fs3.abc.com that are not currently running.

       % bos startup fs3.abc.com

The following command starts the buserver, kaserver, ptserver, and vlserver processes running on the machine db2.abc.com, even if their status flags in the BosConfig file are `NotRun`.

       % bos startup -server db2.abc.com -instance buserver kaserver ptserver vlserver

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

BosConfig

KeyFile

UserList

bos

bos create

bos start

bos status

© IBM Corporation 2000. All Rights Reserved